Description

During interoperability tests between QGIS and the OGC-compliant (WFS 1.0, 1.1 and 2.0) LuciadFusion WFS server from Hexagon, it
was noted that QGIS did not load WFS feature types containing a MultiGeometry GML element in the GetFeature response. QGIS
doesn't detect the geometry. An example of such a feature type is available here:

https://sampleservices.luciad.com/ogc/wfs/sampleswis?REQUEST =GetFeature&#38;SERVICE=WFS&#38;TYPENAME-=rivers&#38;V
RSION=1.1.0

An analysis in #19505-13 confirmed that this is currently not supported by QGIS.

Associated revisions

Revision f0bb08de - 2018-10-14 03:22 PM - Even Rouault

[WFS client] Fix GetFeature BBOX in WFS 1.1 when the GetCapabilies CRS is urn:ogc:def:crs:OGC:1.3:CRS84 (refs #19571)

Revision 9014285b - 2018-10-15 03:29 PM - Even Rouault

[WFS client] Try to handle layers of type GeometryCollection if the first GeometryCollection is made of geometries of the same type (fixes #19571)

Revision ¢89a5423 - 2018-10-15 08:33 PM - Even Rouault

Merge pull request #8185 from rouault/fix_19571

[WFS client] Try to handle layers of type GeometryCollection if the first GeometryCollection is made of geometries of the same type (fixes #19571)

History

#1 - 2018-08-09 02:09 PM - Giovanni Manghi
- Subject changed from Add support to read WFS GML data containing MultiGeometry elements to Add support to read WFS GML data containing
geometry collections

| changed the title because the problem is not MULTI geometries (that are perfectly supported in QGIS), but GEOMETRY COLLECTIONS.

Also this is not a WFS client thing only, but a QGIS thing in general.

#2 - 2018-08-09 02:10 PM - Giovanni Manghi
- Status changed from Open to Feedback
https://sampleservices.luciad.com/ogc/wfs/sampleswfs?REQUEST=GetFeature&#38;SERVICE=WFS&#38;TYPENAME=rivers&#38;VERSION=1.1.0
https://sampleservices.luciad.com/ogc/wfs/sampleswfs?REQUEST=GetFeature&#38;SERVICE=WFS&#38;TYPENAME=rivers&#38;VERSION=1.1.0

And this is also a duplicate of this #167

#3 - 2018-08-09 02:51 PM - Robin Houtmeyers

Giovanni Manghi wrote:

I changed the title because the problem is not MULTI geometries (that are perfectly supported in QGIS), but GEOMETRY COLLECTIONS.

OK, | just took the GML terminology as they use MultiGeometry for this capability.

#4 - 2018-08-10 09:49 PM - Juirgen Fischer

- Description updated

#5 - 2018-10-14 03:21 PM - Even Rouault

- Status changed from Feedback to Open

- Assignee set to Even Rouault

#6 - 2018-10-14 03:27 PM - Even Rouault

PR: https://github.com/qgis/QGIS/pull/8185

Also there is a GDAL fix needed to parse the MultiGeometry.geometryMembers syntax returned in the WFS 1.1.0 GetFeature response:
- GDAL master: https:/github.com/OSGeo/gdal/commit/482¢13a093672635cf0a3d07b2cd7aac945c3cbb
- GDAL 2.3 branch: https://github.com/OSGeo/gdal/commit/00ad17c886f16a24a3490241197487699113c92e

#7 - 2018-10-15 08:32 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|9014285bc7bbf1c4ac98f30243bc1e88ff7ce9fd.
